0

Trying to install roundcube by issuing following command

apt-get -y install roundcube roundcube-pgsql roundcube-plugins roundcube-plugins-extra php-net-ldap2

getting following error.

E: Unable to locate package roundcube
E: Unable to locate package roundcube-pgsql
E: Unable to locate package roundcube-plugins
E: Unable to locate package roundcube-plugins-extra

Problem Not allowed to use back-port

echo "deb http://http.debian.net/debian wheezy-backports main" >/etc/apt/sources.list.d/backports.list

How shall I go about this?

OS: Debian latest
  • The packages are available now except for roundcube-plugins-extra, I couldn't find that one. – user135177 Sep 21 '15 at 20:07
2

As you have found, there is no roundcube package for Debian 8.x (jessie), which is currently the latest release.

As I see it, your options are:

  1. Install a backport of roundcube. There isn't an official one yet, so you can do the backport yourself. It's fairly straightforward - just take the source package for stretch and rebuilt it on a jessie system, following this guide and the backport guidelines. I would strongly recommend this.

  2. Install the stretch package. It should still install on a jessie system as the two releases have not yet diverged a great deal. Not really recommended, but it "should" work.

  3. Install roundcube from source. Not recommended. Debian is a binary package based distribution, so install as much as you can from binary packages.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.